diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-close-test.cc ns-3.43/src/internet/test/tcp-close-test.cc
--- ns-3.42/src/internet/test/tcp-close-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-close-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-cong-avoid-test.cc ns-3.43/src/internet/test/tcp-cong-avoid-test.cc
--- ns-3.42/src/internet/test/tcp-cong-avoid-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-cong-avoid-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 #include "tcp-general-test.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-datasentcb-test.cc ns-3.43/src/internet/test/tcp-datasentcb-test.cc
--- ns-3.42/src/internet/test/tcp-datasentcb-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-datasentcb-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-dctcp-test.cc ns-3.43/src/internet/test/tcp-dctcp-test.cc
--- ns-3.42/src/internet/test/tcp-dctcp-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-dctcp-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Shravya K.S. <shravya.ks0@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-ecn-test.cc ns-3.43/src/internet/test/tcp-ecn-test.cc
--- ns-3.42/src/internet/test/tcp-ecn-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-ecn-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Shravya Ks <shravya.ks0@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-endpoint-bug2211.cc ns-3.43/src/internet/test/tcp-endpoint-bug2211.cc
--- ns-3.42/src/internet/test/tcp-endpoint-bug2211.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-endpoint-bug2211.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Alexander Krotov <ilabdsf@yandex.ru>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-error-model.cc ns-3.43/src/internet/test/tcp-error-model.cc
--- ns-3.42/src/internet/test/tcp-error-model.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-error-model.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 #include "tcp-error-model.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-error-model.h ns-3.43/src/internet/test/tcp-error-model.h
--- ns-3.42/src/internet/test/tcp-error-model.h	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-error-model.h	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 #ifndef TCPERRORCHANNEL_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-fast-retr-test.cc ns-3.43/src/internet/test/tcp-fast-retr-test.cc
--- ns-3.42/src/internet/test/tcp-fast-retr-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-fast-retr-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 #include "tcp-error-model.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-general-test.cc ns-3.43/src/internet/test/tcp-general-test.cc
--- ns-3.42/src/internet/test/tcp-general-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-general-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 #define __STDC_LIMIT_MACROS
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-general-test.h ns-3.43/src/internet/test/tcp-general-test.h
--- ns-3.42/src/internet/test/tcp-general-test.h	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-general-test.h	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 #ifndef TCPGENERALTEST_H
@@ -759,7 +748,7 @@
     }
 
     /**
-     *  \brief Slow start threshold changes
+     * \brief Slow start threshold changes
      *
      * This applies only for sender socket.
      *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-header-test.cc ns-3.43/src/internet/test/tcp-header-test.cc
--- ns-3.42/src/internet/test/tcp-header-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-header-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-highspeed-test.cc ns-3.43/src/internet/test/tcp-highspeed-test.cc
--- ns-3.42/src/internet/test/tcp-highspeed-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-highspeed-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Natale Patriciello, <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-htcp-test.cc ns-3.43/src/internet/test/tcp-htcp-test.cc
--- ns-3.42/src/internet/test/tcp-htcp-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-htcp-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 ResiliNets, ITTC, University of Kansas
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Amir Modarresi <amodarresi@ittc.ku.edu>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-hybla-test.cc ns-3.43/src/internet/test/tcp-hybla-test.cc
--- ns-3.42/src/internet/test/tcp-hybla-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-hybla-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Natale Patriciello, <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-illinois-test.cc ns-3.43/src/internet/test/tcp-illinois-test.cc
--- ns-3.42/src/internet/test/tcp-illinois-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-illinois-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 ResiliNets, ITTC, University of Kansas
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Truc Anh N. Nguyen <annguyen@ittc.ku.edu>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-ledbat-test.cc ns-3.43/src/internet/test/tcp-ledbat-test.cc
--- ns-3.42/src/internet/test/tcp-ledbat-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-ledbat-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Ankit Deepak <adadeepak8@gmail.com>
  *
@@ -60,7 +49,8 @@
 
   private:
     void DoRun() override;
-    /** \brief Execute the test
+    /**
+     * \brief Execute the test
      */
     void ExecuteTest();
 
@@ -160,7 +150,8 @@
 
   private:
     void DoRun() override;
-    /** \brief Execute the test
+    /**
+     * \brief Execute the test
      */
     void ExecuteTest();
 
@@ -261,7 +252,8 @@
 
   private:
     void DoRun() override;
-    /** \brief Execute the test
+    /**
+     * \brief Execute the test
      */
     void ExecuteTest();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-linux-reno-test.cc ns-3.43/src/internet/test/tcp-linux-reno-test.cc
--- ns-3.42/src/internet/test/tcp-linux-reno-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-linux-reno-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Apoorva Bhargava <apoorvabhargava13@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 #include "tcp-general-test.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-loss-test.cc ns-3.43/src/internet/test/tcp-loss-test.cc
--- ns-3.42/src/internet/test/tcp-loss-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-loss-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Tom Henderson
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "tcp-general-test.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-lp-test.cc ns-3.43/src/internet/test/tcp-lp-test.cc
--- ns-3.42/src/internet/test/tcp-lp-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-lp-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Charitha Sangaraju <charitha29193@gmail.com>
  *          Nandita G <gm.nandita@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-option-test.cc ns-3.43/src/internet/test/tcp-option-test.cc
--- ns-3.42/src/internet/test/tcp-option-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-option-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-pacing-test.cc ns-3.43/src/internet/test/tcp-pacing-test.cc
--- ns-3.42/src/internet/test/tcp-pacing-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-pacing-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Deepak Kumaraswamy <deepakkavoor99@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-pkts-acked-test.cc ns-3.43/src/internet/test/tcp-pkts-acked-test.cc
--- ns-3.42/src/internet/test/tcp-pkts-acked-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-pkts-acked-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
